Bug 221066 - "No Java environment found" when JDK 1.5.0 selected, libzip vs libz symbol conflict
"No Java environment found" when JDK 1.5.0 selected, libzip vs libz symbol co...
Status: CLOSED CANTFIX
Product: Fedora
Classification: Fedora
Component: openoffice.org (Show other bugs)
6
x86_64 Linux
medium Severity medium
: ---
: ---
Assigned To: Caolan McNamara
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-12-31 17:38 EST by Robin Green
Modified: 2007-11-30 17:11 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-01-03 07:07:59 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Robin Green 2006-12-31 17:38:44 EST
Description of problem:
I switched OO.org's JVM to Sun JDK 1.5.0 (because gcj's default cryptography
provider didn't support the key length that Derby asked for). It was accepted in
the Options dialog box, but then when I came to actually use Java (i.e. connect
to the Derby database), OO.org said that no Java environment could be found.

Version-Release number of selected component (if applicable):
openoffice.org-base-2.0.4-5.5.3
Comment 1 Caolan McNamara 2007-01-02 07:41:27 EST
This is x86_64, so was it definitely a 64bit sun jdk that was selected, or
perhaps a 32bit one ?

Assuming it was a 64bit jdk, For the sake of ease of reproducing this locally
does the same "no java found" message occur from writer's file->wizards->letter ? 
And where and how was the sun jdk installed, i.e. rpms from sun.com, or from
jpackage, or a tarball unpacked to a specific location ?
Comment 2 Robin Green 2007-01-02 09:14:33 EST
(In reply to comment #1)
> This is x86_64, so was it definitely a 64bit sun jdk that was selected, or
> perhaps a 32bit one ?

-bash-3.1$ file /usr/lib/jvm/java-1.5.0-sun-1.5.0.05/jre/bin/java
/usr/lib/jvm/java-1.5.0-sun-1.5.0.05/jre/bin/java: ELF 64-bit LSB executable,
AMD x86-64, version 1 (SYSV), for GNU/Linux 2.4.0, dynamically linked (uses
shared libs), for GNU/Linux 2.4.0, stripped

> Assuming it was a 64bit jdk, For the sake of ease of reproducing this locally
> does the same "no java found" message occur from writer's file->wizards->letter ? 

No - in this case, nothing happens when I select File->Wizards->Letter.

> And where and how was the sun jdk installed, i.e. rpms from sun.com, or from
> jpackage, or a tarball unpacked to a specific location ?

I built the .srpm from JPackage.
Comment 3 Caolan McNamara 2007-01-03 07:07:59 EST
So, I did the same and by enabling dumping the exception contents inside OOo I
got...

Exception in thread "main" java.lang.InternalError
        at java.util.zip.Inflater.init(Native Method)
        at java.util.zip.Inflater.<init>(Inflater.java:75)
        at java.util.zip.ZipFile.getInflater(ZipFile.java:375)
        at java.util.zip.ZipFile.getInputStream(ZipFile.java:320)
        at java.util.zip.ZipFile.getInputStream(ZipFile.java:286)
        at java.util.jar.JarFile.hasClassPathAttribute(JarFile.java:467)
        at
java.util.jar.JavaUtilJarAccessImpl.jarFileHasClassPathAttribute(JavaUtilJarAccessImpl.java:15)
        at sun.misc.URLClassPath$JarLoader.getClassPath(URLClassPath.java:809)
        at sun.misc.URLClassPath.getLoader(URLClassPath.java:293)
        at sun.misc.URLClassPath.getResource(URLClassPath.java:160)
        at java.net.URLClassLoader$1.run(URLClassLoader.java:192)
        at java.security.AccessController.doPrivileged(Native Method)
        at java.net.URLClassLoader.findClass(URLClassLoader.java:188)
        at java.lang.ClassLoader.loadClass(ClassLoader.java:306)
        at sun.misc.Launcher$AppClassLoader.loadClass(Launcher.java:268)
        at java.lang.ClassLoader.loadClass(ClassLoader.java:299)
        at java.lang.ClassLoader.loadClass(ClassLoader.java:251)

and googling around shows this to be
http://bugs.sun.com/bugdatabase/view_bug.do?bug_id=6487640

There's nothing I can do on the OOo side to resolve this.

Note You need to log in before you can comment on or make changes to this bug.